# Get Sentiment Analysis Result By Id Returns the results for a completed sentiment analysis job. Endpoint: GET /sentiment_analysis/v1/jobs/{id}/result Version: v1 Security: AccessToken ## Path parameters: - `id` (string, required) Rev AI API Job Id ## Query parameters: - `filter_for` (string,null) Filter for sentiments. If specified only messages with the specified sentiment will be returned Enum: "positive", "negative", "neutral" ## Response 200 fields (application/vnd.rev.sentiment.v1.0+json): - `messages` (any) List of messages containing phrases from the input with their detected sentiment. Positional properties will be different depending on the type of submission. ## Response 401 fields (application/problem+json): - `title` (string) Short, human-readable summary of the problem type - `status` (integer) HTTP status code of the error ## Response 403 fields (application/problem+json): - `title` (string) Short, human-readable summary of the problem type - `type` (string) URI that identifies the problem - `status` (integer) HTTP status code of the error ## Response 404 fields (application/problem+json): - `title` (string) Short, human-readable summary of the problem type - `type` (string) URI that identifies the problem - `status` (integer) HTTP status code of the error ## Response 409 fields (application/problem+json): - `title` (string) Short, human-readable summary of the problem type - `type` (string) URI that identifies the problem - `status` (integer) HTTP status code of the error - `current_value` (string) Value passed in given request - `allowed_values` (array) Allowed values for this request - `detail` (string) Human-readable explanation specific to this occurrence of the problem